#!/bin/sh
#### "*******************************************"
#### "*  ..::   Edit BY RAED - Fairbird   ::..  *"
#### "*******************************************"

NAME="CCcam 2.3.9"
BINARY="CCcam239"


remove_tmp () {
	rm -rf /tmp/*cccam* /tmp/camd.socket /tmp/pid.info /tmp/ecm*.info /tmp/cardinfo /tmp/*cam*.pid /tmp/cam.kill
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $NAME"
		remove_tmp
		sleep 1
		/usr/bin/$BINARY &
		sleep 1
		pidof $BINARY > /tmp/$BINARY.pid
		;;
	stop)
		echo "[SCRIPT] $1: $NAME"
		kill 2>/dev/null `cat 2>/dev/null /tmp/$BINARY.pid`
		sleep 1
		killall -9 $BINARY 2>/dev/null
		remove_tmp
		;;
	*)
		$0 stop
		exit 1
		;;
esac

exit 0
