#!/bin/sh
#### "*******************************************"
#### "*  ..::   Edit BY RAED - Fairbird   ::..  *"
#### "*******************************************"

CAMNAME="CCcam 2.3.9"
BINARY="CCcam239"


remove_tmp () {
	rm -rf  /tmp/*.info /tmp/cardinfo 
}

case "$1" in
	start)
	remove_tmp
	sleep 1
	/usr/bin/$BINARY &
	sleep 5
	;;
	stop)
	touch /tmp/$BINARY.kill
	sleep 3
	killall -9 $BINARY 2>/dev/null
	sleep 2
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0


